## angelscript 2.35.0+ds

=== angelscript/projects/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(angelscript)

option(BUILD_SHARED_LIBS "Build shared library" OFF)
option(AS_NO_EXCEPTIONS "Disable exception handling in script context" OFF)

if(MSVC)
    option(MSVC_COMPILE_FLAGS "Compiler flags to use with MSVC" "/MP")
endif()

if(APPLE)
    option(BUILD_FRAMEWORK "Build Framework bundle for OSX" OFF)
endif()

file(READ ../../include/angelscript.h ANGELSCRIPT_H)
string(REGEX MATCH "#define ANGELSCRIPT_VERSION_STRING \"([0-9]*).([0-9]*).([0-9]*)" ANGELSCRIPT_VERSION_REGEX ${ANGELSCRIPT_H})
set(ANGELSCRIPT_VERSION_MAJOR ${CMAKE_MATCH_1})
set(ANGELSCRIPT_VERSION_MINOR ${CMAKE_MATCH_2})
set(ANGELSCRIPT_VERSION_PATCH ${CMAKE_MATCH_3})
set(PROJECT_VERSION ${ANGELSCRIPT_VERSION_MAJOR}.${ANGELSCRIPT_VERSION_MINOR}.${ANGELSCRIPT_VERSION_PATCH})

message(STATUS "Configuring angelscript ${PROJECT_VERSION}")

find_package(Threads)

set(ANGELSCRIPT_HEADERS
    ../../include/angelscript.h
    ../../source/as_array.h
    ../../source/as_builder.h
    ../../source/as_bytecode.h
    ../../source/as_callfunc.h
    ../../source/as_compiler.h
    ../../source/as_config.h
    ../../source/as_configgroup.h
    ../../source/as_context.h
    ../../source/as_criticalsection.h
    ../../source/as_datatype.h
    ../../source/as_debug.h
    ../../source/as_generic.h
    ../../source/as_map.h
    ../../source/as_memory.h
    ../../source/as_module.h
    ../../source/as_objecttype.h
    ../../source/as_outputbuffer.h
    ../../source/as_parser.h
    ../../source/as_property.h
    ../../source/as_restore.h
    ../../source/as_scriptcode.h
    ../../source/as_scriptengine.h
    ../../source/as_scriptfunction.h
    ../../source/as_scriptnode.h
    ../../source/as_scriptobject.h
    ../../source/as_string.h
    ../../source/as_string_util.h
    ../../source/as_texts.h
    ../../source/as_thread.h
    ../../source/as_tokendef.h
    ../../source/as_tokenizer.h
    ../../source/as_typeinfo.h
    ../../source/as_variablescope.h
)

set(ANGELSCRIPT_SOURCE
    ../../source/as_atomic.cpp
    ../../source/as_builder.cpp
    ../../source/as_bytecode.cpp
    ../../source/as_callfunc.cpp
    ../../source/as_callfunc_mips.cpp
    ../../source/as_callfunc_x86.cpp
    ../../source/as_callfunc_x64_gcc.cpp
    ../../source/as_callfunc_x64_msvc.cpp
    ../../source/as_callfunc_x64_mingw.cpp
    ../../source/as_compiler.cpp
    ../../source/as_configgroup.cpp
    ../../source/as_context.cpp
    ../../source/as_datatype.cpp
    ../../source/as_gc.cpp
    ../../source/as_generic.cpp
    ../../source/as_globalproperty.cpp
    ../../source/as_memory.cpp
    ../../source/as_module.cpp
    ../../source/as_objecttype.cpp
    ../../source/as_outputbuffer.cpp
    ../../source/as_parser.cpp
    ../../source/as_restore.cpp
    ../../source/as_scriptcode.cpp
    ../../source/as_scriptengine.cpp
    ../../source/as_scriptfunction.cpp
    ../../source/as_scriptnode.cpp
    ../../source/as_scriptobject.cpp
    ../../source/as_string.cpp
    ../../source/as_string_util.cpp
    ../../source/as_thread.cpp
    ../../source/as_tokenizer.cpp
    ../../source/as_typeinfo.cpp
    ../../source/as_variablescope.cpp
)

if(MSVC AND CMAKE_CL_64)
    enable_language(ASM_MASM)
    if(CMAKE_ASM_MASM_COMPILER_WORKS)
        set(ANGELSCRIPT_SOURCE ${ANGELSCRIPT_SOURCE} ../../source/as_callfunc_x64_msvc_asm.asm)
    else()
        message(FATAL ERROR "MSVC x86_64 target requires a working assembler")
    endif()
endif()

if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^arm")
    enable_language(ASM)
    if(CMAKE_ASM_COMPILER_WORKS)
        set(ANGELSCRIPT_SOURCE ${ANGELSCRIPT_SOURCE} ../../source/as_callfunc_arm.cpp ../../source/as_callfunc_arm_gcc.S)
        set_property(SOURCE ../../source/as_callfunc_arm_gcc.S APPEND PROPERTY COMPILE_FLAGS " -Wa,-mimplicit-it=always")
    else()
        message(FATAL ERROR "ARM target requires a working assembler")
    endif()
endif()

if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^aarch64")
    enable_language(ASM)
    if(CMAKE_ASM_COMPILER_WORKS)
        set(ANGELSCRIPT_SOURCE ${ANGELSCRIPT_SOURCE} ../../source/as_callfunc_arm64.cpp ../../source/as_callfunc_arm64_gcc.S)
        #set_property(SOURCE ../../source/as_callfunc_arm64_gcc.S APPEND PROPERTY COMPILE_FLAGS " -Wa")
    else()
        message(FATAL ERROR "ARM target requires a working assembler")
    endif()
endif()

if(MSVC)
    set(CMAKE_DEBUG_POSTFIX "d")  
endif()

if(NOT BUILD_FRAMEWORK)
    set(ANGELSCRIPT_LIBRARY_NAME angelscript)
else()
    set(ANGELSCRIPT_LIBRARY_NAME Angelscript) # OS X frameworks should have capitalized name
    set(BUILD_SHARED_LIBS TRUE)
endif()
set(ANGELSCRIPT_LIBRARY_NAME ${ANGELSCRIPT_LIBRARY_NAME} CACHE STRING "" FORCE)

add_library(${ANGELSCRIPT_LIBRARY_NAME} ${ANGELSCRIPT_SOURCE} ${ANGELSCRIPT_HEADERS})

target_include_directories(${ANGELSCRIPT_LIBRARY_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/../../include)

if(MSVC)
    target_compile_definitions(${ANGELSCRIPT_LIBRARY_NAME} PRIVATE -D_CRT_SECURE_NO_WARNINGS)    
endif()

target_compile_definitions(${ANGELSCRIPT_LIBRARY_NAME} PRIVATE -DANGELSCRIPT_EXPORT -D_LIB)

if(AS_NO_EXCEPTIONS)
	target_compile_definitions(${ANGELSCRIPT_LIBRARY_NAME} PRIVATE AS_NO_EXCEPTIONS)
endif()

# Fix x64 issues on Linux
if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64" AND UNIX AND NOT APPLE)
    target_compile_options(${ANGELSCRIPT_LIBRARY_NAME} PRIVATE -fPIC)
endif()

# Don't override the default library output path to avoid conflicts when building for multiple target platforms
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/../../lib)
target_link_libraries(${ANGELSCRIPT_LIBRARY_NAME} Threads::Threads)

set_target_properties(${ANGELSCRIPT_LIBRARY_NAME} PROPERTIES VERSION ${PROJECT_VERSION})

if(BUILD_FRAMEWORK)
    set_target_properties(${ANGELSCRIPT_LIBRARY_NAME} PROPERTIES
        FRAMEWORK TRUE
        FRAMEWORK_VERSION ${PROJECT_VERSION}
        MACOSX_FRAMEWORK_IDENTIFIER com.angelcode.Angelscript
        MACOSX_FRAMEWORK_SHORT_VERSION_STRING ${PROJECT_VERSION}
        MACOSX_FRAMEWORK_BUNDLE_VERSION ${PROJECT_VERSION}
        XCODE_ATTRIBUTE_INSTALL_PATH "@rpath"
        PUBLIC_HEADER ../../include/angelscript.h
    )
endif()

if(MSVC AND MSVC_COMPILE_FLAGS)
	target_compile_options(${ANGELSCRIPT_LIBRARY_NAME} PRIVATE "${MSVC_COMPILE_FLAGS}")
endif()

# Don't override the default runtime output path to avoid conflicts when building for multiple target platforms
#set(RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/../../bin)

#See https://cmake.org/cmake/help/latest/manual/cmake-packages.7.html#creating-packages for a detailed explanation about this part
install(TARGETS ${ANGELSCRIPT_LIBRARY_NAME} EXPORT AngelscriptTargets
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
	INCLUDES DESTINATION include
)

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/../../include/angelscript.h
	DESTINATION include
	COMPONENT Devel
)

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
	"${CMAKE_CURRENT_BINARY_DIR}/Angelscript/AngelscriptConfigVersion.cmake"
	VERSION ${PROJECT_VERSION}
	COMPATIBILITY AnyNewerVersion
)

export(EXPORT AngelscriptTargets
	FILE "${CMAKE_CURRENT_BINARY_DIR}/Angelscript/AngelscriptTargets.cmake"
	NAMESPACE Angelscript::
)
configure_file(cmake/AngelscriptConfig.cmake
	"${CMAKE_CURRENT_BINARY_DIR}/Angelscript/AngelscriptConfig.cmake"
	COPYONLY
)

set(ConfigPackageLocation lib/cmake/Angelscript)
install(EXPORT AngelscriptTargets
	FILE AngelscriptTargets.cmake
	NAMESPACE Angelscript::
	DESTINATION ${ConfigPackageLocation}
)
install(
	FILES
		cmake/AngelscriptConfig.cmake
		"${CMAKE_CURRENT_BINARY_DIR}/Angelscript/AngelscriptConfigVersion.cmake"
	DESTINATION ${ConfigPackageLocation}
	COMPONENT Devel
)

## angelscript 2.34.0+ds

=== debian/changelog ===
angelscript (2.34.0+ds-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Put pkg-kde-tools inside Build-Depends instead
    of Build-Depends-Arch. This fixes FTBFS on arch:all. 
    (Closes: #964581)

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jul 2020 15:28:19 -0400

angelscript (2.34.0+ds-3) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Yangfl <mmyangfl@gmail.com>  Wed, 01 Jul 2020 12:43:05 +0800

angelscript (2.34.0+ds-2) unstable; urgency=medium

  * Replace angelscript-addon with libangelscript-addon0
  * Add autopkgtest

 -- Yangfl <mmyangfl@gmail.com>  Wed, 17 Jun 2020 13:04:45 +0800

angelscript (2.34.0+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Jun 2020 08:57:51 -0400

angelscript (2.34.0+ds-1) unstable; urgency=medium

  * Initial Release (Closes: #958372)

 -- Yangfl <mmyangfl@gmail.com>  Mon, 01 Jun 2020 23:17:30 +0800

=== debian/control ===
Source: angelscript
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 pkg-kde-tools,
Build-Depends-Indep:
 doxygen,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Section: libs
Homepage: https://www.angelcode.com/angelscript/
Vcs-Browser: https://salsa.debian.org/yangfl-guest/angelscript
Vcs-Git: https://salsa.debian.org/yangfl-guest/angelscript.git

Package: angelscript-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libangelscript2.34.0 (= ${binary:Version}),
 libangelscript-addon0 (= ${binary:Version}),
Description: game-oriented interpreted compiled scripting language (development files)
 AngelScript features static typing, object handles (similar to C++ pointers but
 garbage collected via reference counting), object- orientation, single
 inheritance, multiple inheritance with interfaces. Allows operators to be
 registered and overloaded. AngelScript can be used with any C++ IDE, such as
 Netbeans, Geany, and Eclipse.
 .
 This package contains the header files for angelscript. Please consult
 README.Debian for detailed usage.

Package: libangelscript2.34.0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 angelscript-doc,
Description: game-oriented interpreted compiled scripting language
 AngelScript features static typing, object handles (similar to C++ pointers but
 garbage collected via reference counting), object- orientation, single
 inheritance, multiple inheritance with interfaces. Allows operators to be
 registered and overloaded. AngelScript can be used with any C++ IDE, such as
 Netbeans, Geany, and Eclipse.

Package: libangelscript-addon0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: game-oriented interpreted compiled scripting language (addon)
 AngelScript features static typing, object handles (similar to C++ pointers but
 garbage collected via reference counting), object- orientation, single
 inheritance, multiple inheritance with interfaces. Allows operators to be
 registered and overloaded. AngelScript can be used with any C++ IDE, such as
 Netbeans, Geany, and Eclipse.
 .
 This package contains the addon for angelscript.

Package: angelscript-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: game-oriented interpreted compiled scripting language (documentation)
 AngelScript features static typing, object handles (similar to C++ pointers but
 garbage collected via reference counting), object- orientation, single
 inheritance, multiple inheritance with interfaces. Allows operators to be
 registered and overloaded. AngelScript can be used with any C++ IDE, such as
 Netbeans, Geany, and Eclipse.
 .
 This package contains the documentation for angelscript.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/pkg-info.mk

export MULTIARCH := $(DEB_HOST_GNU_TYPE)
export VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+.*//')

# buggy archs
ifeq ($(DEB_HOST_ARCH),armhf)
  DEB_CXXFLAGS_MAINT_APPEND += -DAS_MAX_PORTABILITY
else ifeq ($(DEB_HOST_ARCH),x32)
  DEB_CXXFLAGS_MAINT_APPEND += -DAS_MAX_PORTABILITY
endif


%:
	dh $@ --with pkgkde_symbolshelper

execute_after_dh_auto_clean:
	-+$(MAKE) -C samples clean
	rm -rf debian/doxygen/output
	rm -rf Makefile
	rm -rf samples/Makefile

override_dh_auto_configure-arch:
	ln -sf debian/Makefile
	cd samples && ln -sf ../debian/Makefile.samples Makefile

override_dh_auto_test-arch:
	+CPPFLAGS="$(CPPFLAGS) -I../angelscript/include" LDFLAGS="$(LDFLAGS) -Wl,-rpath,../../../angelscript/lib -L../angelscript/lib" $(MAKE) -C samples test

override_dh_auto_build-indep: debian/doxygen/output

debian/doxygen/output:
	cd debian/doxygen && doxygen

execute_after_dh_install-indep:
	dh_doxygen

## angelscript 2.35.0+ds

=== debian/changelog ===
angelscript (2.35.0+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.
  * Disable failing build on arm64 for now. (See #980559)

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Jan 2021 09:58:49 -0500

angelscript (2.35.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Workaround FTBFS on mips64el/sparc64 (Closes: #972923)
  * Fix libdir for i386 (Closes: #972924)

 -- Yangfl <mmyangfl@gmail.com>  Mon, 04 Jan 2021 22:17:08 +0800

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,13 @@
 
 Package: angelscript-dev
 Section: libdevel
-Architecture: any
+# no arm64 for now
+Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libangelscript2.34.0 (= ${binary:Version}),
- libangelscript-addon0 (= ${binary:Version}),
+ libangelscript2.35.0 (= ${binary:Version}),
+ libangelscript-addon2.35.0 (= ${binary:Version}),
 Description: game-oriented interpreted compiled scripting language (development files)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -31,14 +32,16 @@
  This package contains the header files for angelscript. Please consult
  README.Debian for detailed usage.
 
-Package: libangelscript2.34.0
-Architecture: any
+Package: libangelscript2.35.0
+Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  angelscript-doc,
+Breaks: libangelscript2.34.0
+Replaces: libangelscript2.34.0
 Description: game-oriented interpreted compiled scripting language
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -46,12 +49,14 @@
  registered and overloaded. AngelScript can be used with any C++ IDE, such as
  Netbeans, Geany, and Eclipse.
 
-Package: libangelscript-addon0
-Architecture: any
+Package: libangelscript-addon2.35.0
+Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks: libangelscript-addon0
+Replaces: libangelscript-addon0
 Description: game-oriented interpreted compiled scripting language (addon)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single

## angelscript 2.35.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep:
  doxygen,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://www.angelcode.com/angelscript/
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/angelscript
@@ -15,13 +15,12 @@
 
 Package: angelscript-dev
 Section: libdevel
-# no arm64 for now
-Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
+Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libangelscript2.35.0 (= ${binary:Version}),
- libangelscript-addon2.35.0 (= ${binary:Version}),
+ libangelscript2.35.1 (= ${binary:Version}),
+ libangelscript-addon2.35.1 (= ${binary:Version}),
 Description: game-oriented interpreted compiled scripting language (development files)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -32,16 +31,16 @@
  This package contains the header files for angelscript. Please consult
  README.Debian for detailed usage.
 
-Package: libangelscript2.35.0
-Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
+Package: libangelscript2.35.1
+Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  angelscript-doc,
-Breaks: libangelscript2.34.0
-Replaces: libangelscript2.34.0
+Breaks: libangelscript2.34.0, libangelscript2.35.0
+Replaces: libangelscript2.34.0, libangelscript2.35.0
 Description: game-oriented interpreted compiled scripting language
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -49,14 +48,14 @@
  registered and overloaded. AngelScript can be used with any C++ IDE, such as
  Netbeans, Geany, and Eclipse.
 
-Package: libangelscript-addon2.35.0
-Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
+Package: libangelscript-addon2.35.1
+Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libangelscript-addon0
-Replaces: libangelscript-addon0
+Breaks: libangelscript-addon0, libangelscript-addon2.35.0
+Replaces: libangelscript-addon0, libangelscript-addon2.35.0
 Description: game-oriented interpreted compiled scripting language (addon)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single

## angelscript 2.35.1+ds

=== angelscript/projects/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,13 @@
 set(ANGELSCRIPT_VERSION_MINOR ${CMAKE_MATCH_2})
 set(ANGELSCRIPT_VERSION_PATCH ${CMAKE_MATCH_3})
 set(PROJECT_VERSION ${ANGELSCRIPT_VERSION_MAJOR}.${ANGELSCRIPT_VERSION_MINOR}.${ANGELSCRIPT_VERSION_PATCH})
+
+set(ARCHFLAGS "${CMAKE_SYSTEM_PROCESSOR}")
+if (APPLE AND NOT IOS)
+  if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "arm")
+    set(ARCHFLAGS "aarch64")
+  endif ()
+endif ()
 
 message(STATUS "Configuring angelscript ${PROJECT_VERSION}")
 
@@ -106,7 +113,7 @@
     endif()
 endif()
 
-if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^arm")
+if(${ARCHFLAGS} MATCHES "^arm")
     enable_language(ASM)
     if(CMAKE_ASM_COMPILER_WORKS)
         set(ANGELSCRIPT_SOURCE ${ANGELSCRIPT_SOURCE} ../../source/as_callfunc_arm.cpp ../../source/as_callfunc_arm_gcc.S)
@@ -116,7 +123,7 @@
     endif()
 endif()
 
-if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^aarch64")
+if(${ARCHFLAGS} MATCHES "^aarch64")
     enable_language(ASM)
     if(CMAKE_ASM_COMPILER_WORKS)
         set(ANGELSCRIPT_SOURCE ${ANGELSCRIPT_SOURCE} ../../source/as_callfunc_arm64.cpp ../../source/as_callfunc_arm64_gcc.S)

=== angelscript/projects/gnuc/Makefile ===
# AngelScript makefile for Linux.
# Type 'make' then 'make install' to complete
# the installation of the library. You no
# longer have to specify SHARED=1 VERSION=x.y.z
# (the Makefile automatically determines it
# and builds it and the static library).
# See README for how to use the shared library
# instead of the static. The README also
# contains other information and in particular
# specifies on how to override the install
# location should you desire this (you don't
# have to - nor should you - edit this
# file).
#
# One note: I don't have a way to test
# the phone builds. I am an old-timer
# and I _still_ miss customer-owned
# coin-operated telephones. In fact
# I still _miss_ the rotary telephone!


## library names and versions
LIBNAME=libangelscript
AS_VER:=$(shell awk -F\" '/\#define ANGELSCRIPT_VERSION_STRING/{print $$2}' ../../include/angelscript.h | cut -d" " -f1)
SHLIB=$(LIBNAME).so.$(AS_VER)
ARLIB=$(LIBNAME).a


## install directories
ifeq ($(PREFIX),)
PREFIX=/usr/local
endif
INCLUDEDIR_DEST=$(PREFIX)/include
LIBDIR_DEST=$(PREFIX)/lib
DOCDIR_BASEDIR=$(PREFIX)/share/doc/angelscript-$(AS_VER)
DOXYGEN_DEST=$(DOCDIR_BASEDIR)/html
SAMPLES_DEST=$(DOCDIR_BASEDIR)/samples


## install commands
INSTALL = install
INSTALL_DIR = $(INSTALL) -d
INSTALL_SHLIB = $(INSTALL) -m 755
INSTALL_ARLIB = $(INSTALL) -m 644
INSTALL_HEADER = $(INSTALL) -m 644
CP_SYMLINK = cp --no-dereference --preserve=links
CP_R = cp -R


HEADER = angelscript.h
SRCDIR = ../../source
INCDIR = ../../include


## platform specific settings
ifeq ($(TARGETPLATFORM), iphone)
	IPHONEBIN =  /Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
	OBJDIR = obj-iphone
	LIBDIR = ../../lib-iphone
	CXX ?= $(IPHONEBIN)/clang++
	CXXFLAGS += -Wall -fPIC -fno-strict-aliasing -arch armv7 -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS5.0.sdk -miphoneos-version-min=3.0
else ifeq ($(TARGETPLATFORM), iphonesimulator)
	IPHONEBIN =  /Developer/Platforms/iPhoneSimulator.platform/Developer/usr/bin
	OBJDIR = obj-iphone
	LIBDIR = ../../lib-iphone
	CXX ?= $(IPHONEBIN)/clang++
	CXXFLAGS += -Wall -fPIC -fno-strict-aliasing -arch i386 -isysroot /Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator5.0.sdk -miphoneos-version-min=3.0
else ifeq ($(TARGETPLATFORM), android)
	ANDROIDNDKROOT = /cygdrive/c/android/android-ndk-1.6_r1
	ANDROIDBIN = $(ANDROIDNDKROOT)/build/prebuilt/windows/arm-eabi-4.2.1/bin
	SYSROOT = $(ANDROIDNDKROOT)/build/platforms/android-4/arch-arm
	OBJDIR = obj-android
	LIBDIR = ../../lib-android
	CXX ?= $(ANDROIDBIN)/arm-eabi-gcc
	CXXFLAGS += -I$(SYSROOT)/usr/include \
	-Wall \
	-DANDROID \
	-fno-exceptions \
	-march=armv6 -mthumb-interwork \
	-mfloat-abi=softfp -fno-rtti
else
	OBJDIR = obj
	LIBDIR = ../../lib
	CXX ?= g++
	# On i686 architecture you may need to add -march=i686 if you get 
	# an undefined symbol for __sync_sub_and_fetch_4 in as_atomic.cpp.
	CXXFLAGS += -Wall -fPIC -fno-strict-aliasing
endif

## Detect if targetting ARM CPU and if so tell assembler to accept implicit IT constructs in thumb mode
GCC_ARCH := $(shell $(CXX) -dumpmachine)
$(info GCC ARCH: $(GCC_ARCH))
ifneq (,$(findstring arm-,$(GCC_ARCH)))
	CXXFLAGS += -Wa,-mimplicit-it=thumb
else ifneq (,$(findstring armv7-, $(GCC_ARCH)))
	CXXFLAGS += -Wa,-mimplicit-it=thumb
endif

## toolchain
AR ?= ar
RANLIB ?= ranlib


SRCNAMES = \
  as_atomic.cpp \
  as_builder.cpp  \
  as_bytecode.cpp \
  as_callfunc.cpp \
  as_callfunc_arm.cpp \
  as_callfunc_mips.cpp \
  as_callfunc_ppc.cpp \
  as_callfunc_ppc_64.cpp \
  as_callfunc_sh4.cpp \
  as_callfunc_x86.cpp \
  as_callfunc_x64_gcc.cpp \
  as_callfunc_x64_mingw.cpp \
  as_compiler.cpp \
  as_context.cpp \
  as_configgroup.cpp \
  as_datatype.cpp \
  as_generic.cpp \
  as_gc.cpp \
  as_globalproperty.cpp \
  as_memory.cpp \
  as_module.cpp \
  as_objecttype.cpp \
  as_outputbuffer.cpp \
  as_parser.cpp \
  as_restore.cpp \
  as_scriptcode.cpp \
  as_scriptengine.cpp \
  as_scriptfunction.cpp \
  as_scriptnode.cpp \
  as_scriptobject.cpp \
  as_string.cpp \
  as_string_util.cpp \
  as_thread.cpp \
  as_tokenizer.cpp \
  as_typeinfo.cpp \
  as_variablescope.cpp \

OBJ = $(addprefix $(OBJDIR)/, $(notdir $(SRCNAMES:.cpp=.o)))

ifeq ($(TARGETPLATFORM), iphone)
	OBJ += $(OBJDIR)/as_callfunc_arm_xcode.o
else
	OBJ += $(OBJDIR)/as_callfunc_arm_gcc.o
endif


default: all

all: shared static

shared: $(LIBDIR)/$(SHLIB) $(LIBDIR)/$(LIBNAME).so

static: $(LIBDIR) $(OBJDIR) $(LIBDIR)/$(ARLIB)

$(OBJDIR):
	mkdir -p "$(OBJDIR)"

$(LIBDIR):
	mkdir -p "$(LIBDIR)"

$(OBJDIR)/%.o: $(SRCDIR)/%.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/%.o: $(SRCDIR)/%.S
	$(CXX) $(CXXFLAGS) -o $@ -c $<

$(OBJDIR)/%.o: $(SRCDIR)/%.s
	$(CXX) $(CXXFLAGS) -o $@ -c $<

$(LIBDIR)/$(SHLIB): $(OBJ)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared -Wl,-soname,$(SHLIB) -o "$(LIBDIR)"/$(SHLIB) $(OBJ)

$(LIBDIR)/$(LIBNAME).so: $(LIBDIR)/$(SHLIB)
	@( cd "$(LIBDIR)" && ln -s $(SHLIB) $(LIBNAME).so )

$(LIBDIR)/$(ARLIB): $(OBJ)
	$(AR) r "$(LIBDIR)"/$(ARLIB) $(OBJ)
	$(RANLIB) "$(LIBDIR)"/$(ARLIB)


## install rules
install_header: $(INCDIR)/$(HEADER)
	$(INSTALL_DIR) "$(DESTDIR)/$(INCLUDEDIR_DEST)"
	$(INSTALL_HEADER) "$(INCDIR)"/$(HEADER) "$(DESTDIR)/$(INCLUDEDIR_DEST)/"$(HEADER)

install_shared:
	$(INSTALL_DIR) "$(DESTDIR)/$(LIBDIR_DEST)"
	$(INSTALL_SHLIB) "$(LIBDIR)"/$(SHLIB) "$(DESTDIR)/$(LIBDIR_DEST)/"$(SHLIB)
	$(CP_SYMLINK) "$(LIBDIR)"/$(LIBNAME).so "$(DESTDIR)/$(LIBDIR_DEST)/"$(LIBNAME).so

install_static: $(LIBDIR)/$(ARLIB) $(LIBDIR)/$(SHLIB)
	$(INSTALL_DIR) "$(DESTDIR)/$(LIBDIR_DEST)"
	$(INSTALL_ARLIB) "$(LIBDIR)"/$(ARLIB) "$(DESTDIR)/$(LIBDIR_DEST)/"$(ARLIB)

install_docs: ./../../../docs
	$(INSTALL_DIR) "$(DESTDIR)/$(DOCDIR_BASEDIR)"
	$(CP_R) ./../../../docs "$(DESTDIR)/$(DOXYGEN_DEST)"

install_samples: ./../../../samples
	$(INSTALL_DIR) "$(DESTDIR)/$(DOCDIR_BASEDIR)"
	$(CP_R) ./../../../samples "$(DESTDIR)/$(SAMPLES_DEST)"

install_all: install_docs install_samples install

install: install_header install_shared install_static

uninstall:
	rm -f "$(DESTDIR)/$(INCLUDEDIR_DEST)/$(HEADER)" "$(DESTDIR)/$(LIBDIR_DEST)"/$(LIBNAME)*

help:
	@echo -------------------------------------------------------------------
	@echo 'BUILDING:'
	@echo '  make all: build shared and static libs'
	@echo '  make shared: build shared lib only'
	@echo '  make static: build static lib only'
	@echo
	@echo 'INSTALLING:'
	@echo '  make install: install headers, shared and static libs'
	@echo '  make install_header: install only the headers'
	@echo '  make install_shared: install only the shared libs'
	@echo '  make install_static: install only the static libs'
	@echo '  make install_docs: install only the documentation'
	@echo '  make install_samples: install only the samples'
	@echo '  make install_all: install everything, including docs and samples'
	@echo
	@echo 'PARAMETERS (pass to make, as in PARAM=value):'
	@echo '  PREFIX: installation prefix (default /usr/local)'
	@echo '  INCLUDEDIR_DEST: where to install headers (default PREFIX/include)'
	@echo '  LIBDIR_DEST: where to install libraries (default PREFIX/lib)'
	@echo '  DOCDIR_BASEDIR: where the basedir of the documentation lies'
	@echo '                  (default PREFIX/share/doc/angelscript-AS_VER)'
	@echo '  DOXYGEN_DEST: where to install doxygen documentation'
	@echo '                (default DOCDIR_BASEDIR/html)'
	@echo '  SAMPLES_DEST: where to install samples'
	@echo '                (default DOCDIR_BASEDIR/samples)'
	@echo '  DESTDIR: destination, prepended to PREFIX, usually used by'
	@echo '           package managers (default empty)'
	@echo -------------------------------------------------------------------

clean:
	rm -f $(OBJ) "$(LIBDIR)"/$(ARLIB) "$(LIBDIR)"/$(SHLIB) "$(LIBDIR)"/$(LIBNAME).so

.PHONY: all clean install install_all install_docs install_header install_samples install_shared install_static shared static uninstall

=== debian/changelog ===
angelscript (2.35.1+ds-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:38:50 +0000

angelscript (2.35.1+ds-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061889

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:59:55 +0000

angelscript (2.35.1+ds-3) unstable; urgency=medium

  * Fix FTBFS on arm64 (Closes: #980559)

 -- Yangfl <mmyangfl@gmail.com>  Fri, 22 Oct 2021 00:29:21 +0800

angelscript (2.35.1+ds-2) unstable; urgency=medium

  * Try fixing arm64 and non-Linux builds

 -- Yangfl <mmyangfl@gmail.com>  Thu, 14 Oct 2021 19:59:42 +0800

angelscript (2.35.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Try again arm64

 -- Yangfl <mmyangfl@gmail.com>  Wed, 06 Oct 2021 22:09:19 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: angelscript
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
-Build-Depends:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  pkg-kde-tools,
 Build-Depends-Indep:
@@ -19,8 +20,8 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libangelscript2.35.1 (= ${binary:Version}),
- libangelscript-addon2.35.1 (= ${binary:Version}),
+ libangelscript2.35.1t64 (= ${binary:Version}),
+ libangelscript-addon2.35.1t64 (= ${binary:Version}),
 Description: game-oriented interpreted compiled scripting language (development files)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -31,7 +32,8 @@
  This package contains the header files for angelscript. Please consult
  README.Debian for detailed usage.
 
-Package: libangelscript2.35.1
+Package: libangelscript2.35.1t64
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -39,8 +41,8 @@
  ${shlibs:Depends},
 Suggests:
  angelscript-doc,
-Breaks: libangelscript2.34.0, libangelscript2.35.0
-Replaces: libangelscript2.34.0, libangelscript2.35.0
+Breaks: libangelscript2.35.1 (<< ${source:Version}), libangelscript2.34.0, libangelscript2.35.0
+Replaces: libangelscript2.35.1, libangelscript2.34.0, libangelscript2.35.0
 Description: game-oriented interpreted compiled scripting language
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -48,14 +50,15 @@
  registered and overloaded. AngelScript can be used with any C++ IDE, such as
  Netbeans, Geany, and Eclipse.
 
-Package: libangelscript-addon2.35.1
+Package: libangelscript-addon2.35.1t64
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libangelscript-addon0, libangelscript-addon2.35.0
-Replaces: libangelscript-addon0, libangelscript-addon2.35.0
+Breaks: libangelscript-addon2.35.1 (<< ${source:Version}), libangelscript-addon0, libangelscript-addon2.35.0
+Replaces: libangelscript-addon2.35.1, libangelscript-addon0, libangelscript-addon2.35.0
 Description: game-oriented interpreted compiled scripting language (addon)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,11 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export MULTIARCH := $(DEB_HOST_GNU_TYPE)
+export MULTIARCH := $(DEB_HOST_MULTIARCH)
 export VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+.*//')
 
 # buggy archs
-ifeq ($(DEB_HOST_ARCH),armhf)
-  DEB_CXXFLAGS_MAINT_APPEND += -DAS_MAX_PORTABILITY
-else ifeq ($(DEB_HOST_ARCH),x32)
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf mips64el sparc64 x32))
   DEB_CXXFLAGS_MAINT_APPEND += -DAS_MAX_PORTABILITY
 endif

## angelscript 2.38.0+ds

=== debian/changelog ===
angelscript (2.38.0+ds-2) unstable; urgency=medium

  * Uploading to Unstable

 -- Yangfl <mmyangfl@gmail.com>  Sat, 03 Jan 2026 01:26:06 +0800

angelscript (2.38.0+ds-1) experimental; urgency=medium

  * New upstream release
  * Fix fails to build source after successful build (Closes: #1043695)
  * Bump Standards-Version to 4.7.3
  * Uploading to Experimental

 -- Yangfl <mmyangfl@gmail.com>  Thu, 25 Dec 2025 00:00:48 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,11 @@
 Source: angelscript
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
- pkg-kde-tools,
 Build-Depends-Indep:
  doxygen,
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://www.angelcode.com/angelscript/
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/angelscript
@@ -20,8 +17,8 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libangelscript2.35.1t64 (= ${binary:Version}),
- libangelscript-addon2.35.1t64 (= ${binary:Version}),
+ libangelscript2.38.0 (= ${binary:Version}),
+ libangelscript-addon2.38.0 (= ${binary:Version}),
 Description: game-oriented interpreted compiled scripting language (development files)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -32,8 +29,7 @@
  This package contains the header files for angelscript. Please consult
  README.Debian for detailed usage.
 
-Package: libangelscript2.35.1t64
-Provides: ${t64:Provides}
+Package: libangelscript2.38.0
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -41,8 +37,16 @@
  ${shlibs:Depends},
 Suggests:
  angelscript-doc,
-Breaks: libangelscript2.35.1 (<< ${source:Version}), libangelscript2.34.0, libangelscript2.35.0
-Replaces: libangelscript2.35.1, libangelscript2.34.0, libangelscript2.35.0
+Breaks:
+ libangelscript2.34.0,
+ libangelscript2.35.0,
+ libangelscript2.35.1,
+ libangelscript2.35.1t64,
+Replaces:
+ libangelscript2.34.0,
+ libangelscript2.35.0,
+ libangelscript2.35.1,
+ libangelscript2.35.1t64,
 Description: game-oriented interpreted compiled scripting language
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single
@@ -50,15 +54,22 @@
  registered and overloaded. AngelScript can be used with any C++ IDE, such as
  Netbeans, Geany, and Eclipse.
 
-Package: libangelscript-addon2.35.1t64
-Provides: ${t64:Provides}
+Package: libangelscript-addon2.38.0
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libangelscript-addon2.35.1 (<< ${source:Version}), libangelscript-addon0, libangelscript-addon2.35.0
-Replaces: libangelscript-addon2.35.1, libangelscript-addon0, libangelscript-addon2.35.0
+Breaks:
+ libangelscript-addon0,
+ libangelscript-addon2.35.0,
+ libangelscript-addon2.35.1,
+ libangelscript-addon2.35.1t64,
+Replaces:
+ libangelscript-addon0,
+ libangelscript-addon2.35.0,
+ libangelscript-addon2.35.1,
+ libangelscript-addon2.35.1t64,
 Description: game-oriented interpreted compiled scripting language (addon)
  AngelScript features static typing, object handles (similar to C++ pointers but
  garbage collected via reference counting), object- orientation, single

=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,11 @@
 
 
 %:
-	dh $@ --with pkgkde_symbolshelper
+	dh $@
 
 execute_after_dh_auto_clean:
 	-+$(MAKE) -C samples clean
-	rm -rf debian/doxygen/output
-	rm -rf Makefile
-	rm -rf samples/Makefile
+	$(RM) debian/doxygen/output Makefile samples/Makefile angelscript/lib/libangelscript-addon.a angelscript/lib/libangelscript-addon.so.*
 
 override_dh_auto_configure-arch:
 	ln -sf debian/Makefile
